This page was not yet optimized for use on mobile devices.
U.S. Government Family of Protection Profiles for Public Key Enabled Applications for Basic Robustness Environments, Version 2.8
Profile details
| Status | archived |
|---|---|
| Valid from | 01.05.2007 |
| Valid until | 01.09.2011 |
| Scheme | πΊπΈ US |
| Category | Key Management Systems |
| Security level | EAL4+ |
Certification report
certification report file processing did not finish successfully.
Show more...
Download pdf:
OK
Convert pdf to text:
ERROR
Extract keywords:
ERROR
Protection profile
Extracted keywords
Symmetric Algorithms
HMACAsymmetric Algorithms
ECDH, DH, DSASchemes
MAC, PKE, Key AgreementProtocols
SSL, TLSSecurity level
EAL 3, EAL 4, EAL 2, EAL3, EAL4, EAL 3 augmented, EAL 4 augmented, EAL 2 augmented, EAL3 augmentedClaims
O.PARTIAL_SELF_PROTECTION, T.AUDIT_COMPROMISE, T.CHANGE_TIME, T.CRYPTO_COMPROMISE, T.MASQUERADE, T.POOR_TEST, T.RESIDUAL_DATA, T.TSF_COMPROMISE, T.UNATTENDED_SESSION, T.UNAUTHORIZED_ACCESS, T.UNIDENTIFIED_ACTIONS, T.DOS_OCSP, T.DOS_CRL, T.DOS_OSCP, A.NO_EVIL, A.PHYSICAL, OE.CORRECT_TSF_OPERATION, OE.NO_EVIL, OE.PHYSICAL, OE.AUDIT_GENERATION, OE.AUDIT_PROTECTION, OE.AUDIT_REVIEW, OE.CRYPTOGRAPHY, OE.DISPLAY_BANNER, OE.MANAGE, OE.MEDIATE, OE.RESIDUAL_INFORMATION, OE.SELF_PROTECTION, OE.TIME_STAMPS, OE.TIME_TOE, OE.TOE_ACCESS, OE.TOE_PROTECTION, OE.AUDIT_PROTECT, OSPSecurity Assurance Requirements (SAR)
ADV_ARC, ADV_ARC.1, ADV_FSP.2, ADV_TDS.1, ADV_FSP.3, ADV_TDS.2, ADV_FSP.4, ADV_IMP.1, ADV_TDS.3, AGD_OPE.1, AGD_PRE.1, ALC_FLR.1, ALC_FLR.2, ALC_CMC.2, ALC_CMS.2, ALC_DEL.1, ALC_CMC.3, ALC_CMS.3, ALC_DVS.1, ALC_LCD.1, ALC_CMC.4, ALC_CMS.4, ALC_TAT.1, ATE_COV.1, ATE_FUN.1, ATE_IND.2, ATE_COV.2, ATE_DPT.1, ATE_DPT.2, ATE_IND.1, AVA_VAN.2, AVA_VAN.3, APE_OBJ, APE_REQSecurity Functional Requirements (SFR)
FAU_GEN, FAU_SAR.1, FAU_SAR.2, FAU_SAR.3, FAU_SEL, FAU_STG, FAU_GEN.1, FAU_GEN.2, FAU_SAR.1.1, FAU_SAR.1.2, FAU_SAR.2.1, FAU_SAR.3.1, FAU_SEL.1, FAU_STG.1, FAU_STG.4, FCS_COP.1, FDP_ACC.1, FDP_ACF, FDP_RIP.2, FDP_ACC.1.1, FDP_ACF.1, FDP_RIP.1, FDP_RIP.2.1, FDP_IFC, FIA_UAU.1.1, FIA_UAU, FIA_AFL.1, FIA_ATD.1, FIA_UAU.1, FIA_UAU.2, FIA_UAU.4, FIA_UAU.6, FIA_UAU.7, FIA_UID.1, FIA_UID.2, FIA_USB.1, FIA_AFL.1.1, FIA_AFL.1.2, FIA_ATD.1.1, FIA_UAU.2.1, FIA_UAU.7.1, FIA_UID.2.1, FIA_USB.1.1, FIA_USB.1.2, FIA_USB.1.3, FIA_AFL, FIA_SOS, FIA_UAU.1.2, FIA_UAU.4.1, FIA_UID.1.1, FIA_UID.1.2, FIA_UAU.6.1, FMT_MOF.1, FMT_MSA.1, FMT_MSA, FMT_MTD, FMT_SMF.1, FMT_SMR.1, FMT_MTD.1, FMT_MSA.3, FMT_MOF.1.1, FMT_MSA.1.1, FMT_MTD.1.1, FMT_SMF.1.1, FMT_SMR.1.1, FMT_SMR.1.2, FMT_MFT, FPT_SEP, FPT_RVM, FPT_STM.1, FPT_STM.1.1, FTA_SSL.1, FTA_SSL.2, FTA_TAB.1, FTA_SSL.1.1, FTA_SSL.1.2, FTA_SSL.2.1, FTA_SSL.2.2, FTA_TAB.1.1Side-channel analysis
side channelCertification process
out of scope, Vs. procedural aspects of path validation. Added an assumption regarding how the key recovery is out of scope Added the approach how multiple keys (e.g., due to key recovery, key history, re-key, etc.) areStandards
FIPS 140, FIPS 140-2, FIPS 196, PKCS 7, RFC 3280, RFC 2560, RFC-822, ISO/IEC 15408, X.509, CCMB-2006-09-01References
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.-
The protection profile data changed.
-
The protection profile data changed.
-
The protection profile data changed.
-
The protection profile data changed.
-
The protection profile data changed.
-
The protection profile data changed.
-
The protection profile data changed.
-
The protection profile data changed.
-
The protection profile was first processed.
{
"_id": "e704b11c68fd60f6",
"_type": "sec_certs.sample.protection_profile.ProtectionProfile",
"dgst": "e704b11c68fd60f6",
"heuristics": {
"_type": "sec_certs.sample.protection_profile.ProtectionProfile.Heuristics"
},
"pdf_data": {
"_type": "sec_certs.sample.protection_profile.ProtectionProfile.PdfData",
"pp_filename": "pp_pke_v2.8.pdf",
"pp_keywords": {
"asymmetric_crypto": {
"ECC": {
"ECDH": {
"ECDH": 8
}
},
"FF": {
"DH": {
"DH": 8
},
"DSA": {
"DSA": 2
}
}
},
"cc_cert_id": {},
"cc_claims": {
"A": {
"A.NO_EVIL": 4,
"A.PHYSICAL": 4
},
"O": {
"O.PARTIAL_SELF_PROTECTION": 2
},
"OE": {
"OE.AUDIT_GENERATION": 10,
"OE.AUDIT_PROTECT": 1,
"OE.AUDIT_PROTECTION": 6,
"OE.AUDIT_REVIEW": 7,
"OE.CORRECT_TSF_OPERATION": 8,
"OE.CRYPTOGRAPHY": 10,
"OE.DISPLAY_BANNER": 7,
"OE.MANAGE": 7,
"OE.MEDIATE": 7,
"OE.NO_EVIL": 7,
"OE.PHYSICAL": 10,
"OE.RESIDUAL_INFORMATION": 13,
"OE.SELF_PROTECTION": 11,
"OE.TIME_STAMPS": 12,
"OE.TIME_TOE": 11,
"OE.TOE_ACCESS": 13,
"OE.TOE_PROTECTION": 10
},
"OSP": {
"OSP": 1
},
"T": {
"T.AUDIT_COMPROMISE": 7,
"T.CHANGE_TIME": 4,
"T.CRYPTO_COMPROMISE": 5,
"T.DOS_CRL": 6,
"T.DOS_OCSP": 4,
"T.DOS_OSCP": 2,
"T.MASQUERADE": 4,
"T.POOR_TEST": 4,
"T.RESIDUAL_DATA": 4,
"T.TSF_COMPROMISE": 7,
"T.UNATTENDED_SESSION": 4,
"T.UNAUTHORIZED_ACCESS": 4,
"T.UNIDENTIFIED_ACTIONS": 7
}
},
"cc_protection_profile_id": {},
"cc_sar": {
"ADV": {
"ADV_ARC": 1,
"ADV_ARC.1": 12,
"ADV_FSP.2": 1,
"ADV_FSP.3": 1,
"ADV_FSP.4": 1,
"ADV_IMP.1": 1,
"ADV_TDS.1": 1,
"ADV_TDS.2": 1,
"ADV_TDS.3": 1
},
"AGD": {
"AGD_OPE.1": 5,
"AGD_PRE.1": 7
},
"ALC": {
"ALC_CMC.2": 1,
"ALC_CMC.3": 1,
"ALC_CMC.4": 1,
"ALC_CMS.2": 1,
"ALC_CMS.3": 1,
"ALC_CMS.4": 1,
"ALC_DEL.1": 3,
"ALC_DVS.1": 2,
"ALC_FLR.1": 1,
"ALC_FLR.2": 11,
"ALC_LCD.1": 2,
"ALC_TAT.1": 1
},
"APE": {
"APE_OBJ": 1,
"APE_REQ": 1
},
"ATE": {
"ATE_COV.1": 3,
"ATE_COV.2": 2,
"ATE_DPT.1": 1,
"ATE_DPT.2": 1,
"ATE_FUN.1": 5,
"ATE_IND.1": 2,
"ATE_IND.2": 3
},
"AVA": {
"AVA_VAN.2": 4,
"AVA_VAN.3": 1
}
},
"cc_security_level": {
"EAL": {
"EAL 2": 2,
"EAL 2 augmented": 1,
"EAL 3": 18,
"EAL 3 augmented": 2,
"EAL 4": 20,
"EAL 4 augmented": 4,
"EAL3": 1,
"EAL3 augmented": 1,
"EAL4": 2
}
},
"cc_sfr": {
"FAU": {
"FAU_GEN": 31,
"FAU_GEN.1": 15,
"FAU_GEN.2": 3,
"FAU_SAR.1": 10,
"FAU_SAR.1.1": 1,
"FAU_SAR.1.2": 1,
"FAU_SAR.2": 7,
"FAU_SAR.2.1": 1,
"FAU_SAR.3": 8,
"FAU_SAR.3.1": 1,
"FAU_SEL": 7,
"FAU_SEL.1": 1,
"FAU_STG": 20,
"FAU_STG.1": 4,
"FAU_STG.4": 1
},
"FCS": {
"FCS_COP.1": 5
},
"FDP": {
"FDP_ACC.1": 13,
"FDP_ACC.1.1": 1,
"FDP_ACF": 8,
"FDP_ACF.1": 5,
"FDP_IFC": 2,
"FDP_RIP.1": 1,
"FDP_RIP.2": 7,
"FDP_RIP.2.1": 1
},
"FIA": {
"FIA_AFL": 1,
"FIA_AFL.1": 8,
"FIA_AFL.1.1": 1,
"FIA_AFL.1.2": 1,
"FIA_ATD.1": 8,
"FIA_ATD.1.1": 1,
"FIA_SOS": 1,
"FIA_UAU": 1,
"FIA_UAU.1": 18,
"FIA_UAU.1.1": 2,
"FIA_UAU.1.2": 1,
"FIA_UAU.2": 13,
"FIA_UAU.2.1": 1,
"FIA_UAU.4": 7,
"FIA_UAU.4.1": 1,
"FIA_UAU.6": 8,
"FIA_UAU.6.1": 1,
"FIA_UAU.7": 8,
"FIA_UAU.7.1": 1,
"FIA_UID.1": 20,
"FIA_UID.1.1": 1,
"FIA_UID.1.2": 1,
"FIA_UID.2": 13,
"FIA_UID.2.1": 1,
"FIA_USB.1": 7,
"FIA_USB.1.1": 1,
"FIA_USB.1.2": 1,
"FIA_USB.1.3": 1
},
"FMT": {
"FMT_MFT": 1,
"FMT_MOF.1": 10,
"FMT_MOF.1.1": 1,
"FMT_MSA": 8,
"FMT_MSA.1": 9,
"FMT_MSA.1.1": 1,
"FMT_MSA.3": 4,
"FMT_MTD": 25,
"FMT_MTD.1": 4,
"FMT_MTD.1.1": 5,
"FMT_SMF.1": 17,
"FMT_SMF.1.1": 1,
"FMT_SMR.1": 19,
"FMT_SMR.1.1": 1,
"FMT_SMR.1.2": 1
},
"FPT": {
"FPT_RVM": 1,
"FPT_SEP": 1,
"FPT_STM.1": 24,
"FPT_STM.1.1": 1
},
"FTA": {
"FTA_SSL.1": 8,
"FTA_SSL.1.1": 1,
"FTA_SSL.1.2": 1,
"FTA_SSL.2": 8,
"FTA_SSL.2.1": 1,
"FTA_SSL.2.2": 1,
"FTA_TAB.1": 8,
"FTA_TAB.1.1": 1
}
},
"certification_process": {
"OutOfScope": {
"Vs. procedural aspects of path validation. Added an assumption regarding how the key recovery is out of scope Added the approach how multiple keys (e.g., due to key recovery, key history, re-key, etc.) are": 1,
"out of scope": 1
}
},
"cipher_mode": {},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"TLS": {
"SSL": {
"SSL": 6
},
"TLS": {
"TLS": 3
}
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 94
},
"MAC": {
"MAC": 2
},
"PKE": {
"PKE": 188
}
},
"device_model": {},
"ecc_curve": {},
"eval_facility": {},
"hash_function": {},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {},
"side_channel_analysis": {
"SCA": {
"side channel": 5
}
},
"standard_id": {
"CC": {
"CCMB-2006-09-01": 1
},
"FIPS": {
"FIPS 140": 10,
"FIPS 140-2": 6,
"FIPS 196": 1
},
"ISO": {
"ISO/IEC 15408": 4
},
"PKCS": {
"PKCS 7": 7
},
"RFC": {
"RFC 2560": 3,
"RFC 3280": 1,
"RFC-822": 2
},
"X509": {
"X.509": 25
}
},
"symmetric_crypto": {
"constructions": {
"MAC": {
"HMAC": 4
}
}
},
"technical_report_id": {},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"pp_metadata": {
"/Author": "Jean Petty",
"/Company": "CygnaCom Solutions, Inc.",
"/CreationDate": "D:20070507112349-04\u002700\u0027",
"/Creator": "Acrobat PDFMaker 7.0.7 for Word",
"/ModDate": "D:20070507113315-04\u002700\u0027",
"/Producer": "Acrobat Distiller 7.0.5 (Windows)",
"/SourceModified": "D:20070426181902",
"/Title": "Introduction",
"pdf_file_size_bytes": 1023402,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"mailto:[email protected]",
"http://csrc.nist.gov/publications/fips/fips140-2/fips1402.pdf"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 149
},
"report_filename": "",
"report_keywords": null,
"report_metadata": null
},
"scheme_metadata": {
"cc_version": "3.1",
"pp_short_name": "PP_PKE_V2.8",
"pp_sponsor_id": "",
"pp_transition": null,
"predecessor": "PP_PKE_V2.77",
"source_scheme": "US",
"successor": null
},
"state": {
"_type": "sec_certs.sample.protection_profile.ProtectionProfile.InternalState",
"pp": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "501ab420d624546b4d4fd9a47887ef4691dea1f3d34f719b6e7d6b509c9bddd7",
"source_hash": "db9e47a26fc768b54696e295ecfeeff1e5267483854624437f4f9bcff71c70b8",
"txt_hash": "574db5cd1c797ed4d56a0d68be8dcb746fd8be34d013c0c2f3ab56447bd228fe"
},
"report": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": false,
"download_ok": true,
"extract_ok": false,
"json_hash": null,
"source_hash": "6adef86c67e4bbbcbc8872bedf10c93c33839884a5cb1ca1d36f080444041ca7",
"txt_hash": null
}
},
"web_data": {
"_type": "sec_certs.sample.protection_profile.ProtectionProfile.WebData",
"category": "Key Management Systems",
"is_collaborative": false,
"maintenances": [],
"name": "U.S. Government Family of Protection Profiles for Public Key Enabled Applications for Basic Robustness Environments, Version 2.8",
"not_valid_after": "2011-09-01",
"not_valid_before": "2007-05-01",
"pp_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/ppfiles/pp_pke_v2.8.pdf",
"report_link": "https://www.commoncriteriaportal.org#no_cert",
"scheme": "US",
"security_level": {
"_type": "Set",
"elements": [
"EAL4+"
]
},
"status": "archived",
"version": "2.8"
}
}